Package ch.qos.logback.core.sift

# Class DefaultDiscriminator<E>

java.lang.Object
ch.qos.logback.core.spi.ContextAwareBase
ch.qos.logback.core.sift.AbstractDiscriminator<E>
ch.qos.logback.core.sift.DefaultDiscriminator<E>

All Implemented Interfaces:
  `Discriminator<E>`, `ContextAware`, `LifeCycle`

public class DefaultDiscriminator<E> extends AbstractDiscriminator<E>

Author:
  Ceki Gülcü

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT`

### Fields inherited from class ch.qos.logback.core.sift.AbstractDiscriminator

`started`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

## Constructor Summary

Constructors
Constructor
Description
`DefaultDiscriminator()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDiscriminatingValue(E e)`
Given event 'e' return a discriminating value.
`String`
`getKey()`
The key or variable name under which the discriminating value should be exported into the host environment.

### Methods inherited from class ch.qos.logback.core.sift.AbstractDiscriminator

`isStarted, start, stop`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT

public static final String DEFAULT

See Also:
  - Constant Field Values

## Constructor Details

### DefaultDiscriminator

public DefaultDiscriminator()

## Method Details

### getDiscriminatingValue

public String getDiscriminatingValue(E e)
Description copied from interface: `Discriminator`
Given event 'e' return a discriminating value.

Returns:

### getKey

public String getKey()
Description copied from interface: `Discriminator`
The key or variable name under which the discriminating value should be exported into the host environment.

Returns: